# OpenLayers.Control.Graticule

The Graticule displays a grid of latitude/longitude lines reprojected on the map.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.Graticule | The Graticule displays a grid of latitude/longitude lines reprojected on the map.
Properties |
autoActivate | {Boolean} Activate the control when it is added to a map.
intervals | {Array(Float)} A list of possible graticule widths in degrees.
displayInLayerSwitcher | {Boolean} Allows the Graticule control to be switched on and off by LayerSwitcher control.
visible | {Boolean} should the graticule be initially visible (default=true)
numPoints | {Integer} The number of points to use in each graticule line.
targetSize | {Integer} The maximum size of the grid in pixels on the map
layerName | {String} The name to be displayed in the layer switcher, default is set by {OpenLayers.Lang}.
labelled | {Boolean} Should the graticule lines be labelled?.
labelFormat | {String} the format of the labels, default = ‘dm’.
lineSymbolizer | {symbolizer} the symbolizer used to render lines
labelSymbolizer | {symbolizer} the symbolizer used to render labels
gratLayer | {OpenLayers.Layer.Vector} vector layer used to draw the graticule on
Constructor |
OpenLayers.Control.Graticule | Create a new graticule control to display a grid of latitude longitude lines.
Functions |
destroy |
draw | initializes the graticule layer and does the initial update
activate |
deactivate |
update | calculates the grid to be displayed and actually draws it

### Properties

### autoActivate

{Boolean} Activate the control when it is added to a map. Default is true.

### intervals

{Array(Float)} A list of possible graticule widths in degrees.

### displayInLayerSwitcher

{Boolean} Allows the Graticule control to be switched on and off by LayerSwitcher control. Defaults is true.

### visible

{Boolean} should the graticule be initially visible (default=true)

### numPoints

{Integer} The number of points to use in each graticule line. Higher numbers result in a smoother curve for projected maps

### targetSize

{Integer} The maximum size of the grid in pixels on the map

### layerName

{String} The name to be displayed in the layer switcher, default is set by {OpenLayers.Lang}.

### labelled

{Boolean} Should the graticule lines be labelled?. default=true

### labelFormat

{String} the format of the labels, default = ‘dm’. See <OpenLayers.Util.getFormattedLonLat> for other options.

### lineSymbolizer

{symbolizer} the symbolizer used to render lines

### labelSymbolizer

{symbolizer} the symbolizer used to render labels

### gratLayer

{OpenLayers.Layer.Vector} vector layer used to draw the graticule on

### Constructor

### OpenLayers.Control.Graticule

Create a new graticule control to display a grid of latitude longitude lines.

#### Parameters

options | {Object} An optional object whose properties will be used to extend the control.

### Functions

### destroy

> destroy: function()

### draw

> draw: function()

initializes the graticule layer and does the initial update

#### Returns

{DOMElement}

### activate

> activate: function()

### deactivate

> deactivate: function()

### update

> update: function()

calculates the grid to be displayed and actually draws it

#### Returns

{DOMElement}

Internationalization namespace.
Instances of OpenLayers.Layer.Vector are used to render vector data from a variety of sources.

> destroy: function()

> draw: function()

initializes the graticule layer and does the initial update

> activate: function()

> deactivate: function()

> update: function()

calculates the grid to be displayed and actually draws it
Controls affect the display or behavior of the map.
Close